import { LoginDialogLink } from './pn-marketweb-siteheader-types';
export declare class PnMarketwebSiteheaderLoginLinklist {
    hostElement: HTMLElement;
    heading: string;
    links: LoginDialogLink[];
    idNamespace: string;
    showUnifiedLogin: boolean;
    componentWillLoad(): void;
    uniqueId(text: string): string;
    linkAppearanceAttributes(link: any): {};
    renderListAsButtons(link: any): any;
    renderListAsLinks(link: any): any;
    render(): any;
}
